Loading...
Searching...
No Matches
RDKit::FMCS::DuplicatedSeedCache Class Reference

`#include <DuplicatedSeedCache.h>`

## Classes

class | TKey

## Public Types

typedef bool | TValue

## Public Member Functions

| DuplicatedSeedCache ()
void | clear ()
bool | find (const TKey &key, TValue &value) const
void | add (const TKey &key, TValue found=true)
size_t | size () const

## Detailed Description

Definition at line 19 of file DuplicatedSeedCache.h.

## Member Typedef Documentation

## TValue

typedef bool RDKit::FMCS::DuplicatedSeedCache::TValue

Definition at line 21 of file DuplicatedSeedCache.h.

## Constructor & Destructor Documentation

## DuplicatedSeedCache()

RDKit::FMCS::DuplicatedSeedCache::DuplicatedSeedCache | ( |  | ) |

inline

Definition at line 81 of file DuplicatedSeedCache.h.

## Member Function Documentation

## add()

void RDKit::FMCS::DuplicatedSeedCache::add | ( | const TKey & | key,
|  | TValue | found = `true`
| ) |  |

inline

Definition at line 100 of file DuplicatedSeedCache.h.

References RDKit::FMCS::DuplicatedSeedCache::TKey::getNumAtoms(), and RDKit::rdvalue_is().

## clear()

void RDKit::FMCS::DuplicatedSeedCache::clear | ( |  | ) |

inline

Definition at line 82 of file DuplicatedSeedCache.h.

## find()

bool RDKit::FMCS::DuplicatedSeedCache::find | ( | const TKey & | key,
|  | TValue & | value
| ) |  | const

inline

Definition at line 87 of file DuplicatedSeedCache.h.

References RDKit::FMCS::DuplicatedSeedCache::TKey::getNumAtoms(), and RDKit::rdvalue_is().

## size()

size_t RDKit::FMCS::DuplicatedSeedCache::size | ( |  | ) | const

inline

Definition at line 108 of file DuplicatedSeedCache.h.

The documentation for this class was generated from the following file:

- DuplicatedSeedCache.h